> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Data Source Audit Data

> Gets Data Source audit data given filter input parameters



## OpenAPI

````yaml /api-specs/cloud/public-api.yaml get /api/datasource/v1/audit
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: cloud
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: Extensions
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: PersonalAccessToken
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsCommits
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/datasource/v1/audit:
    get:
      tags:
        - DataSource
      summary: Get Data Source Audit Data
      description: Gets Data Source audit data given filter input parameters
      operationId: getDataSourceAuditData
      parameters:
        - description: Data Source IDs to query audit data for
          in: query
          name: dataSourceIds
          required: false
          schema:
            items:
              type: string
            type: array
        - description: Data Source names to query audit data for
          in: query
          name: dataSourceNames
          required: false
          schema:
            items:
              type: string
            type: array
        - description: >-
            events to query - AccessDataSource, CreateDataSource,
            DataSourceAssociatedToProject, DataSourceDissociatedFromProject,
            DataSourceChangeOfOwnership, DataSourceChangeOfPermissions,
            DeleteDataSource
          in: query
          name: eventKinds
          required: false
          schema:
            items:
              type: string
            type: array
        - description: Start time (iso8601)
          in: query
          name: startTime
          required: false
          schema:
            format: date-time
            type: string
        - description: End time (iso8601)
          in: query
          name: endTime
          required: false
          schema:
            format: date-time
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/DataSourceAuditDataV1'
                type: array
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    DataSourceAuditDataV1:
      properties:
        dataSourceId:
          description: ID of the Data Source
          type: string
        dataSourceName:
          description: name of the Data Source
          type: string
        dataSourceType:
          $ref: '#/components/schemas/DataSourceTypeV1'
        eventKind:
          $ref: '#/components/schemas/DataSourceAuditEventKindV1'
        metadata:
          $ref: '#/components/schemas/DataSourceAuditMetadataV1'
        performedBy:
          description: ID of user who performed the event
          type: string
        timestamp:
          description: timestamp of when event was performed
          example: '1996-07-19T03:13:44.467Z'
          format: date-time
          type: string
      required:
        - dataSourceId
        - dataSourceName
        - dataSourceType
        - eventKind
        - metadata
        - performedBy
        - timestamp
      type: object
    DataSourceTypeV1:
      description: The configuration type of the Data Source
      example: ADLSConfig
      type: string
    DataSourceAuditEventKindV1:
      description: Kinds of Data Source audit events
      enum:
        - AccessDataSource
        - CreateDataSource
        - DataSourceAssociatedToProject
        - DataSourceDissociatedFromProject
        - DataSourceChangeOfOwnership
        - DataSourceChangeOfPermissions
        - DeleteDataSource
      type: string
    DataSourceAuditMetadataV1:
      additionalProperties:
        type: string
      description: A map of string -> string
      type: object
    FailureEnvelopeV1:
      properties:
        errors:
          description: Errors that caused a request to fail
          items:
            type: string
          type: array
        requestId:
          description: Id used to correlate a request with server actions.
          example: bbd78579-93c4-45ee-a983-0d5c8da6d5b1
          type: string
      required:
        - requestId
        - errors
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: >-
        The current user cannot perform this operation because they are not
        logged in
    '403':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: The current user is not authorized to perform this operation
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````